import request from '@/assets/js/utils/request'

// 新增或修改专家某个回避单位信息
export function saveOrUpdateExpertAchievement(data) {
  return request({
    url: '/bidprocurement/expertscloud-expert/info/exptExpertAvoidCompanyController/saveOrUpdateTBExpertAvoidCompanyInfoById',
    method: 'post',
    data
  })
}

// 查询专家所有回避单位信息
export function queryAllTBExpertAvoidCompanyInfo(data) {
  return request({
    url: '/bidprocurement/expertscloud-expert/info/exptExpertAvoidCompanyController/queryAllTBExpertAvoidCompanyInfo',
    method: 'post',
    data
  })
}

// 删除专家某个回避单位信息
export function deleteTBExpertAvoidCompanyInfoById(id) {
  return request({
    url: '/bidprocurement/expertscloud-expert/info/exptExpertAvoidCompanyController/deleteTBExpertAvoidCompanyInfoById?id=' + id,
    method: 'post'
  })
}

